# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/9/1
import os
import sys
import time
import atomacos
from appium import webdriver
from selenium.webdriver.common.by import By
sys.path.append(os.getcwd())
from crawler_shipinhao.main.common import Common
# from main.common import Common


class Click:
    @classmethod
    def click_video(cls, log_type, video_title):
        Common.logger(log_type).info('启动"微信"')
        desired_caps = {'app': r"C:\Program Files (x86)\Tencent\WeChat\WeChat.exe"}
        driver = webdriver.Remote(
            command_executor='http://127.0.0.1:4723',
            desired_capabilities=desired_caps)
        driver.implicitly_wait(10)

        Common.logger(log_type).info('点击"爬虫群"')
        driver.find_element(By.NAME, '爬虫群').click()

        Common.logger(log_type).info('点击视频:{}', video_title)
        driver.find_element(By.NAME, video_title).click()
        time.sleep(5)
        driver.quit()

    @classmethod
    def click_video_mac(cls, log_type, video_title):
        bundle_id = "com.tencent.xinWeChat"

        # 启动应用
        atomacos.launchAppByBundleId(bundle_id)
        atomator = atomacos.getAppRefByBundleId(bundle_id)
        time.sleep(3)

        # 获取当前窗口
        wx = atomator.windows()[0]
        print(wx)

        # # 获取群：爬虫群
        # msg_windown = wx.findFirstR(AXRole="AXCell", AXParent="爬虫群")
        # print(msg_windown)
        # msg_windown.Press()

        # # 获取位置参数
        # msg_windown_position = msg_windown.AXPosition
        # msg_windown_size = msg_windown.AXSize
        # 注意AXPositon得到的坐标是元素左上角的坐标，需要根据实际大小得到元素中心点坐标
        # msg_windown_click = (lt_position[0] + lt_size[0] / 2, lt_position[1] + lt_size[1])
        # print(lt_click)
        # lt.clickMouseButtonLeft(lt_position)
        #
        # # 输入内容（输入键盘字符，US_keyboard）
        # # s1 = lt.findFirstR(AXRole='AXTextArea', AXRoleDescription='文本输入区')
        # s1 = lt.findFirstR(AXRole='AXTextArea', AXLable='搜索')
        # s1_p = s1.AXPosition
        # s1_s = s1.AXSize
        # s1.tripleClickMouse((s1_p[0] + s1_s[0] / 2, s1_p[1] + s1_s[1] / 2))
        # s1.sendKeys('公众号')


if __name__ == '__main__':
    # Click.click_video('recommend', '意外和明天谁都不知道哪个先来，所以请珍惜眼前人吧！特别是自己的家的男人在工地上干活的!那个条件，还有高危险作业的人们，谁都不是很努力的活着呀…')
    Click.click_video_mac('recommend', '国家卫健委：昨日新增本土确诊病例307例！')
